Summary:	GData access library
Summary(pl.UTF-8):	Biblioteka dostępu poprzez protokół GData
Name:		libgdata
Version:	0.14.1
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgdata/0.14/%{name}-%{version}.tar.xz
# Source0-md5:	27022e2250393ae0dbd3818889a1ac62
URL:		http://live.gnome.org/libgdata
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.9
BuildRequires:	gcr-devel >= 3
BuildRequires:	gdk-pixbuf2-devel >= 2.14
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gnome-common >= 3.6.0
BuildRequires:	gnome-online-accounts-devel >= 3.2.0
BuildRequires:	gobject-introspection-devel >= 0.9.7
BuildRequires:	gtk+3-devel >= 3.0
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	intltool >= 0.40.0
BuildRequires:	liboauth-devel >= 0.9.4
BuildRequires:	libsoup-devel >= 2.38.0
BuildRequires:	libsoup-gnome-devel >= 2.38.0
BuildRequires:	libtool >= 2:2
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.32.0
Requires:	gnome-online-accounts >= 3.2.0
Requires:	liboauth >= 0.9.4
Requires:	libsoup >= 2.38.0
Requires:	libsoup-gnome >= 2.38.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgdata is a GLib-based library for accessing online service APIs
using the GData protocol - most notably, Google's services. It
provides APIs to access the common Google services, and has full
asynchronous support.

%description -l pl.UTF-8
libgdata to oparta na GLibie biblioteka służąca do dostępu do API
serwisów sieciowych przy użyciu protokołu GData - głównie serwisów
firmy Google. Biblioteka udostępnia API do popularnych serwisów Google
i ma pełną obsługę komunikacji asynchronicznej.

%package devel
Summary:	Header files for libgdata library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgdata
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gcr-devel >= 3
Requires:	glib2-devel >= 1:2.32.0
Requires:	gnome-online-accounts-devel >= 3.2.0
Requires:	liboauth-devel >= 0.9.4
Requires:	libsoup-devel >= 2.38.0
Requires:	libsoup-gnome-devel >= 2.38.0
Requires:	libxml2-devel >= 1:2.6.26

%description devel
Header files and support files necessary to compile applications using
libgdata.

%description devel -l pl.UTF-8
Pliki nagłówkowe oraz pomocnicze potrzebne do kompilowania aplikacji
wykorzystujących bibliotekę libgdata.

%package static
Summary:	libgdata static library
Summary(pl.UTF-8):	Statyczna biblioteka libgdata
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static libgdata library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną bibliotekę libgdata.

%package apidocs
Summary:	libgdata API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libgdata
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libgdata API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libgdata.

%package -n vala-libgdata
Summary:	libgdata API for Vala language
Summary(pl.UTF-8):	API libgdata dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.16

%description -n vala-libgdata
libgdata API for Vala language.

%description -n vala-libgdata -l pl.UTF-8
API libgdata dla języka Vala.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgdata.la

%find_lang gdata

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f gdata.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgdata.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdata.so.13
%{_libdir}/girepository-1.0/GData-0.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgdata.so
%{_datadir}/gir-1.0/GData-0.0.gir
%{_includedir}/libgdata
%{_pkgconfigdir}/libgdata.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgdata.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gdata

%files -n vala-libgdata
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libgdata.deps
%{_datadir}/vala/vapi/libgdata.vapi
%changelog
* Mon Dec 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgdata.git;a=log;h=master

* Fri Dec 20 2013 Łukasz Kieś <kiesiu@pld-linux.org> 0ceecd5
- updated to 0.14.1

* Fri Aug 30 2013 Jakub Bogusz <qboosh@pld-linux.org> 66a4944
- updated to 0.14.0

* Thu Aug 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 8a761dd
- updated to 0.13.4

* Sat Mar 30 2013 Marcin Banasiak <marcin.banasiak@gmail.com> e82d74a
- Update to 0.13.3

* Sat Dec 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 0d03876
- pl, completed dependencies

* Fri Oct 19 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 0fe3061
- Update to 0.13.2

* Mon Apr 02 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 946bb36
- updated to 0.12.0

* Sun Apr 01 2012 Marcin Banasiak <marcin.banasiak@gmail.com> efedf9f
- merged from DEVEL

* Mon Mar 12 2012 Marcin Banasiak <marcin.banasiak@gmail.com> b07ac32
- updated to 0.10.2

* Mon Sep 19 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 4ad3d0d
- updated to 0.10.1

* Wed Sep 07 2011 Artur Frysiak <artur@frysiak.net> 8e6be9e
- BR: liboauth-devel

* Fri Sep 02 2011 Artur Frysiak <artur@frysiak.net> 4a806f8
- switch to .xz

* Thu Sep 01 2011 Patryk Zawadzki <patrys@room-303.com> 818d518
- 0.10.0

* Thu Jun 09 2011 lisu <lisu@pld-linux.org> 82df29d
- BR: libproxy-devel

* Thu Apr 28 2011 Marcin Banasiak <marcin.banasiak@gmail.com> c975080
- updated to 0.8.1

* Tue Mar 29 2011 lisu <lisu@pld-linux.org> 56a93ab
- merged with DEVEL

* Thu Feb 03 2011 Jan Palus <jan.palus@gmail.com> 4c06da1
- -devel should R libsoup-gnome-devel instead of libsoup-devel

* Fri Dec 17 2010 Caleb Maclennan <caleb@alerque.com> 56e6d3f
- Up to 0.6.6

* Thu Sep 30 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 5db7e93
- updated to 0.6.5

* Mon Aug 23 2010 hawk <hawk@pld-linux.org> f147a30
- release 2

